Skip to main content
`Ctrl`+`K`

# `skopt.callbacks`.TimerCallback

class skopt.callbacks.TimerCallback

  Log the elapsed time between each iteration of the minimization loop.

  The time for each iteration is stored in the `iter_time` attribute which you can inspect after the minimization has completed.

  Attributes:
    iter_time list, shape (n_iter,)

      `iter_time[i-1]` gives the time taken to complete iteration `i`

  Methods

  `__call__`(res) |

  __init__()